static const e2k_entry_t elbrus_uncore_sic_MCM0_pe[] = {
        {       .name = "SIC_MC_READ",
		.desc = "Количество обращений в контроллер памяти по считыванию",
		.code = 0x0,
	},       
	{       .name = "SIC_MC_WRITE_LOCAL",
		.desc = "Количество обращений в контроллер памяти по записи от локального запросчика",
		.code = 0x1,             
	},
	{       .name = "SIC_MC_READ_LOCAL_CORES",
                .desc = "Количество обращений в контроллер памяти по считыванию от локальных процессорных ядер",
                .code = 0x2,
        },
        {       .name = "SIC_DIR_CACHE_HIT",
                .desc = "Общее число попаданий в кэше справочника",
                .code = 0x3,
        },
	{       .name = "SIC_DIR_CACHE_READ_HIT",
                .desc = "Число попаданий в кэше справочника для операций чтения",
                .code = 0x4,
        },
        {       .name = "SIC_RETRY",
                .desc = "Общее число retry (retry1 + retry2)",
                .code = 0x5,
        },
	{       .name = "SIC_RETRY2_RDBUF_FULL",
                .desc = "retry2_rdbuf_full (retry2, 1-ый случай - RdBuf заполнен)",
                .code = 0x6,
        },
        {       .name = "SIC_RETRY2_WRBUF",
                .desc = "retry2_wrbuf (retry2, 2-ой случай - данные в WrBuf)",
                .code = 0x7,
        },
        {       .name = "SIC_RETRY2_DM",
                .desc = "retry2_dm (retry2, случаи 3-5 - конфликты по портам Data Memory)",
                .code = 0x8,
        },

};
#define PME_E2K_UNCORE_SIC_MCM0_EVENT_COUNT       (sizeof(elbrus_uncore_sic_MCM0_pe)/sizeof(e2k_entry_t))

static const e2k_entry_t elbrus_uncore_sic_MCM1_pe[] = {
        {       .name = "SIC_MC_WRITE",
                .desc = "Количество обращений в контроллер памяти по записи",
                .code = 0x0,
        },
        {       .name = "SIC_MC_READ_LOCAL",
                .desc = "Количество обращений в контроллер памяти по считыванию от локального запросчика",
                .code = 0x1,
        },
        {       .name = "SIC_MC_WRITE_LOCAL_CORES",
                .desc = "Количество обращений в контроллер памяти по записи от локальных процессорных ядер",
                .code = 0x2,
        },
        {       .name = "SIC_DIR_CACHE_MISS",
                .desc = "Общее число промахов в кэше справочника",
                .code = 0x3,
        },
        {       .name = "SIC_DIR_CACHE_READ_MISS",
                .desc = "Число промахов в кэше справочника для операций чтения",
                .code = 0x4,
        },
        {       .name = "SIC_RETRY1",
                .desc = "Общее число retry1",
                .code = 0x5,
        },
        {       .name = "SIC_RETRY2",
                .desc = "Общее число retry2",
                .code = 0x6,
        },

};
#define PME_E2K_UNCORE_SIC_MCM1_EVENT_COUNT       (sizeof(elbrus_uncore_sic_MCM1_pe)/sizeof(e2k_entry_t))

