/* Copyright (c) 2020-2024 AO MCST
 * Distributed under the terms of MIT License.
 */
#include "pfmlib_priv.h"
#include "pfmlib_mcst_sparc_priv.h"
#include "../include/perfmon/pfmlib.h"
#include "events/mcst_sparc_r1000_events.h"

pfmlib_pmu_t mcst_sparc_r1000_support={
        .desc                   = "MCST sparc r1000",
        .name                   = "mcst-r1000",
        .pmu                    = PFM_PMU_MCST_SPARC_R1000,
        .pme_count              = LIBPFM_ARRAY_SIZE(mcst_sparc_r1000_pe),
        .type                   = PFM_PMU_TYPE_CORE,
        .supported_plm          = MCST_SPARC_PLM,
        .max_encoding           = 4,
        .num_cntrs              = 4,
        .pe                     = mcst_sparc_r1000_pe,
        .atdesc                 = NULL,
        .flags                  = 0,

        .pmu_detect             = pfm_mcst_sparc_detect,
        .get_event_encoding[PFM_OS_NONE] = pfm_mcst_sparc_get_encoding,
         PFMLIB_ENCODE_PERF(pfm_mcst_sparc_get_perf_encoding),
        .get_event_first        = pfm_mcst_sparc_get_event_first,
        .get_event_next         = pfm_mcst_sparc_get_event_next,
        .event_is_valid         = pfm_mcst_sparc_event_is_valid,
        .validate_table         = pfm_mcst_sparc_validate_table,
        .get_event_info         = pfm_mcst_sparc_get_event_info,
        .get_event_attr_info    = pfm_mcst_sparc_get_event_attr_info,
         PFMLIB_VALID_PERF_PATTRS(pfm_mcst_sparc_perf_validate_pattrs),
        .get_event_nattrs       = pfm_mcst_sparc_get_event_nattrs,
};


