#ifndef __ELO_RS232_H__
#define __ELO_RS232_H__

#include "elo.h"

/**
 * RS232 protocol constants.
 */

#define ELO_INIT_CHECKSUM       0xAA /* Initial value of checksum */

#define ELO_SYNC_BYTE           'U'  /* Sync byte. First of a packet */
#define ELO_TOUCH               'T'  /* Report of touchs and motions */

#define ELO_PACKET_SIZE         10

typedef struct _EloSerialPacketBuffer {
    unsigned char data[ELO_PACKET_SIZE];
    int           used;              /* Current length of data */
    int           checksum;          /* Current checksum of data */
} EloSerialPacketBuffer;

Bool EloSerialControl(DeviceIntPtr pDev, int mode);
void EloSerialReadInput(InputInfoPtr pInfo);

#endif /* __ELO_RS232_H__ */
