.\" $XFree86: xc/programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.man,v 1.2 2001/01/27 18:20:47 dawes Exp $ 
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH MCSTMGA __drivermansuffix__ __vendorversion__
.SH NAME
mcstmga \- video driver for MCST MGA video card framebuffer device
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qmcstmga\*q"
.BI "  BusID  \*qpci:" bus : dev : func \*q
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B mcstmga
is an __xservername__ driver for MCST MGA family video cards.  This is an accelerated
driver, the following framebuffer depths are supported: 8, 16, 24 (24 and 32 bpp).
All visual types are supported for depth 8, and TrueColor visual is
supported for the other depths.  Multi-head configurations are supported.
.SH SUPPORTED HARDWARE
The 
.B mcstmga
driver supports all MCST MGA family video cards.
mcstmga uses the os-specific submodule fbdevhw(__drivermansuffix__) to talk
to the kernel 
device driver.  Currently a fbdevhw module is available for linux.
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to
this driver.
.PP
For this driver it is not required to specify modes in the screen 
section of the config file.  The
.B mcstmga
driver can pick up the currently used video mode from the framebuffer 
driver and will use it if there are no video modes configured.
.PP
For PCI boards you might have to add a BusID line to the Device
section.  See above for a sample line.  You can use \*q\__xservername__
-scanpci\*q
to figure out the correct values.
.PP
The following driver 
.B Options
are supported:
.TP
.BI "Option \*qfbdev\*q \*q" string \*q
The framebuffer device to use. Default: /dev/fb0.
.TP
.BI "Option \*qShadowFB\*q \*q" boolean \*q
Enable or disable use of the shadow framebuffer layer. Option ShadowFB is available with xorg-server version <= 1.12.2. Default: False.
.TP
.BI "Option \*qHWcursor\*q \*q" boolean \*q
Select hardware cursor. The default is True.
.TP
.BI "Option \*qNoAccel\*q \*q" boolean \*q
Disable or enable acceleration. Default: False.
.TP
.BI "Option \*qAccelMethod\*q \*q" string \*q
Chooses between available acceleration architectures. Valid values are EXA and XAA. For XAA the driver must be compiled with its support. Default: EXA.
.TP
.BI "Option \*qNoDMA\*q \*q" boolean \*q
Disable DMA support. Default: False.
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__),
X(__miscmansuffix__), fbdevhw(__drivermansuffix__)
.SH AUTHORS
Authors include: Alexander Shmelev
