/********************************************
*
* Copyright (c) 2022-2024 AO MCST
* Distributed under the terms of MIT License.
*
*********************************************/

#ifndef __MCSTMGA_REGS_H
#define __MCSTMGA_REGS_H

/***************************************************************************
 * MMIO Registers
 ***************************************************************************
 */
#define REG_CTRL	0x000	/* Control Register */
#define REG_STAT	0x004	/* Status Register */
#define REG_HTIM	0x008	/* Horizontal Timing Register */
#define REG_VTIM	0x00c	/* Vertical Timing Register */
#define REG_HVLEN	0x010	/* Horizontal & Vertical Length Register */
#define REG_VBARa	0x014	/* Video Memory Base Address Register A */
#define REG_VBARb	0x018	/* Video Memory Base Address Register B */
#define REG_C0XY	0x030	/* Cursor 0 X,Y Register */
#define REG_C0BAR	0x034	/* Cursor0 Base Address register */
#define REG_C0CR	0x040	/* Cursor0 Color Registers */
#define REG_C1XY	0x070	/* Cursor 0 X,Y Register */
#define REG_C1BAR	0x074	/* Cursor0 Base Address register */
#define REG_C1CR	0x080	/* Cursor0 Color Registers */
#define REG_TST_D	0x01C	/* Test Mode */
#define REG_STAMP	0x0FC	/* Firmware version and timestamp 0xVVYYMMDD */
#define REG_PCLT	0x800	/* 8bpp Pseudo Color Lockup Table */

#endif /* __MCSTMGA_REGS_H */
